<?php
include 'load.php';
require_once 'db_connection.php'; 
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard
">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard
">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard
">
<meta name="robots" content="noindex, nofollow">

<title>Supplier/Vender Report | Payroll | Pos & Invetory System | Dashboard
</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Supplier/Vender Report</h4>
<h6>Manage your Supplier/Vender</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<div class="table-top">
<div class="search-set">
<div class="search-path">
<a class="btn btn-filter" id="filter_search">
<img src="assets/img/icons/filter.svg" alt="img">
<span><img src="assets/img/icons/closes.svg" alt="img"></span>
</a>
</div>
<div class="search-input">
<a class="btn btn-searchset"><img src="assets/img/icons/search-white.svg" alt="img"></a>
</div>
</div>
<div class="wordset">
<ul>
<li>
<a data-bs-toggle="tooltip" href="export_supplier_report.php" data-bs-placement="top" title="excel"><img src="assets/img/icons/excel.svg" alt="img"></a>
</li>
<li>
<a data-bs-toggle="tooltip" data-bs-placement="top" title="print" onclick="printDiv('printableArea')"><img src="assets/img/icons/printer.svg" alt="img"></a>
</li>
</ul>
</div>
</div>


<div class="card mb-0" id="filter_inputs">
<div class="card-body pb-0">
<div class="row">
<div class="col-lg-12 col-sm-12">
<form method="POST" enctype="multipart/form-data">
<div class="row">
<div class="col-lg-8 col-sm-5 col-12">
<div class="form-group">
<select class="select" name="supplierid">
<option selected>Choose Type</option>
<option value="Supplier">Supplier</option>
<option value="Venders">Venders</option>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<button type="submit" name="search" class="btn btn-filters ms-auto"><img src="assets/img/icons/search-whites.svg" alt="img"></button>
</div>
</div>
</div>
</form>
</div>
</div>
</div>
</div>

<div class="table-responsive">
<table class="table" id="betable">
<thead>
<tr>
<th>#</th>
<th>Status</th>
<th>Type</th>
<th>Name</th>
<th>Email</th>
<th>Phone</th>
<th>Address</th>
<th>Description</th>
<th>Credit</th>
<th>Add Date</th>
</tr>
</thead>
<tbody> 
<?php

if(isset($_POST['search'])){
$supplierid=$_POST['supplierid'];


										$stmt = $DB_con->prepare('SELECT * FROM mobilesuppliers where vtype="'.$supplierid.'" ORDER BY spid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
<tr>
<td><?php echo $row['spid']; ?></td>
<td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success text-white btn-sm">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger text-white btn-sm">Deactive</a>';

														}
						
												
											  ?></td>
											  <td><?php 
						
														if($row['vtype'] == "Venders"){

														echo '<a class="btn btn-success text-white btn-sm">Venders</a>';

													    }else if($row['vtype'] == "Supplier"){

														echo '<a class="btn btn-danger text-white btn-sm">Supplier</a>';

														}
						
												
											  ?></td>
<td><?php echo $row['spname']; ?></td>
<td><?php echo $row['spemail']; ?></td>
<td><?php echo $row['spphone']; ?></td>
<td><?php echo $row['spaddress']; ?></td>
<td><?php echo $row['spdescription']; ?></td>
<td><?php echo $row['credit']; ?></td>
<td><?php echo $row['add_date']; ?></td>
</tr>
<?php 
} 
}
}else{


										$stmt = $DB_con->prepare('SELECT * FROM mobilesuppliers ORDER BY spid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);
	
?>
<tr>
<td><?php echo $row['spid']; ?></td>
<td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success text-white btn-sm">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger text-white btn-sm">Deactive</a>';

														}
						
												
											  ?></td>
											  <td><?php 
						
														if($row['vtype'] == "Venders"){

														echo '<a class="btn btn-success text-white btn-sm">Venders</a>';

													    }else if($row['vtype'] == "Supplier"){

														echo '<a class="btn btn-danger text-white btn-sm">Supplier</a>';

														}
						
												
											  ?></td>
<td><?php echo $row['spname']; ?></td>
<td><?php echo $row['spemail']; ?></td>
<td><?php echo $row['spphone']; ?></td>
<td><?php echo $row['spaddress']; ?></td>
<td><?php echo $row['spdescription']; ?></td>
<td><?php echo $row['credit']; ?></td>
<td><?php echo $row['add_date']; ?></td>
</tr>
<?php 
} 
}
}
?>
</tbody>
</table>
<div id="printableArea" style="display:none;">
<table class="table  datanew">
<thead>
<tr>
<th>#</th>
<th>Status</th>
<th>Type</th>
<th>Name</th>
<th>Email</th>
<th>Phone</th>
<th>Address</th>
<th>Description</th>
<th>Credit</th>
<th>Add Date</th>
</tr>
</thead>
<tbody> 
<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobilesuppliers ORDER BY spid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
<tr>
<td><?php echo $row['spid']; ?></td>
<td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success text-white btn-sm">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger text-white btn-sm">Deactive</a>';

														}
						
												
											  ?></td>
											  <td><?php 
						
														if($row['vtype'] == "Venders"){

														echo '<a class="btn btn-success text-white btn-sm">Venders</a>';

													    }else if($row['vtype'] == "Supplier"){

														echo '<a class="btn btn-danger text-white btn-sm">Supplier</a>';

														}
						
												
											  ?></td>
<td><?php echo $row['spname']; ?></td>
<td><?php echo $row['spemail']; ?></td>
<td><?php echo $row['spphone']; ?></td>
<td><?php echo $row['spaddress']; ?></td>
<td><?php echo $row['spdescription']; ?></td>
<td><?php echo $row['credit']; ?></td>
<td><?php echo $row['add_date']; ?></td>
</tr>
<?php 
} 
}
?>
</tbody>
</table>
</div>
</div>
</div>
</div>

</div>
</div>
</div>

<script>
		function printDiv(printableArea) {

			var printContents = document.getElementById(printableArea).innerHTML;
			var originalContents = document.body.innerHTML;

			document.body.innerHTML = printContents;

			window.print();

			document.body.innerHTML = originalContents;

		}
	</script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-rc.0/js/select2.min.js"></script>

	<script>
	// Initialize Select2 plugin with typing search functionality
	$('.select2').select2();
	</script>
	
	<script data-cfasync="false" src="../../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script>
							
	<script src="assets/js/jquery-3.6.0.min.js"></script>

	<script src="assets/js/feather.min.js"></script>

	<script src="assets/js/jquery.slimscroll.min.js"></script>

	<script src="assets/js/jquery.dataTables.min.js"></script>
	<script src="assets/js/buttons.dataTables.js"></script>
	<script src="assets/js/dataTables.bootstrap4.min.js"></script>

	<script src="assets/js/bootstrap.bundle.min.js"></script>

	<script src="assets/js/moment.min.js"></script>
	<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
	<script src="assets/js/pdfmake.min.js"></script>
	<script src="assets/plugins/select2/js/select2.min.js"></script>
	<script src="assets/js/vfs_fonts.js"></script>

	<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
	<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src="assets/js/dataTables.buttons.min.js"></script>
	<script src="assets/js/jszip.min.js"></script>
	<script src="assets/js/buttons.html5.min.js"></script>
	<script src="assets/js/script.js"></script>
	
	<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

	<script>
		

		$(document).ready( function() {
			$('#betable').DataTable({
        dom: 'Bfrtip', 
        buttons: [
            'copy', 
            'csv',  
            {
                extend: 'excelHtml5', 
                customize: function(xlsx) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml']; 
                    $('row c[r^="C"]', sheet).attr('s', '2'); 
                }
            },
            'pdf',  
            'print' 
        ]
    });
	} );
	</script>
	
	<style>
	#betable_filter{
		margin-bottom: 20px;
	}
	</style>
</body>
</html>